Bug 252688 - Making graphics/oidn depend on onetbb
Summary: Making graphics/oidn depend on onetbb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/OpenImageDenoise/o...
Keywords:
Depends on:
Blocks: 252648
  Show dependency treegraph
 
Reported: 2021-01-14 21:46 UTC by Ganael LAPLANCHE
Modified: 2021-02-19 15:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)
martymac: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ganael LAPLANCHE freebsd_committer 2021-01-14 21:46:47 UTC
Hello,

As a maintainer of graphics/oidn, could you have a look at PR #252648:

  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=252648

In short, TBB version 2021 will soon be available as devel/onetbb but the port you maintain does not build correctly with it, see the following Poudriere run:

  http://box.martymac.org/FreeBSD-Packages/build.html?mastername=FBSD122amd64-tbb-migr&build=2021-01-13_22h35m17s

and error logs:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-13_22h35m17s/logs/errors/oidn-1.2.4.log

-- Looking for TBB components tbb;tbbmalloc; ()
CMake Error at cmake/FindTBB.cmake:80 (message):
  Requested minimum TBB version 2017.0,; but found .
Call Stack (most recent call first):
  cmake/FindTBB.cmake:170 (rk_tbb_error)
  cmake/FindTBB.cmake:460 (rk_tbb_check_version)
  CMakeLists.txt:77 (find_package)

Could you try to provide a patch (important: *by replying to this PR*) to facilitate the migration to devel/onetbb ?

To help you modifying your port, expected patches to devel/tbb and devel/onetbb are available in PR #252648.

Thanks for your contribution,
Best regards,

Ganael.
Comment 1 Yuri Victorovich freebsd_committer 2021-01-14 23:08:16 UTC
The upstream needs to fix this.
Comment 2 Yuri Victorovich freebsd_committer 2021-01-14 23:59:54 UTC
Should be oneTBB-compatible now.
Please reopen if the problem persists.
Comment 3 commit-hook freebsd_committer 2021-01-15 00:00:01 UTC
A commit references this bug:

Author: yuri
Date: Thu Jan 14 23:59:26 UTC 2021
New revision: 561614
URL: https://svnweb.freebsd.org/changeset/ports/561614

Log:
  graphics/oidn: Backport the patch making oidn oneTBB-compatible

  PR:		252688
  Reported by:	martymac

Changes:
  head/graphics/oidn/Makefile
  head/graphics/oidn/distinfo
Comment 4 Ganael LAPLANCHE freebsd_committer 2021-01-15 14:24:05 UTC
Thanks!
Comment 5 Ganael LAPLANCHE freebsd_committer 2021-01-15 14:43:01 UTC
I confirm the patch is OK:

-- Looking for TBB components tbb;tbbmalloc; ()
-- Found TBB version 2021.1 at /usr/local

graphics/oidn detects oneTbb and builds fine, see:

http://box.martymac.org/FreeBSD-Packages/data/FBSD122amd64-tbb-migr/2021-01-15_15h34m16s/logs/oidn-1.2.4.log
Comment 6 commit-hook freebsd_committer 2021-02-19 15:15:02 UTC
A commit references this bug:

Author: martymac
Date: Fri Feb 19 15:14:54 UTC 2021
New revision: 566074
URL: https://svnweb.freebsd.org/changeset/ports/566074

Log:
  Introduce devel/onetbb and mark devel/tbb as legacy

  Intel oneAPI tbb 2021.1 (onetbb) has been released[1][2] and has deprecated
  several interfaces over tbb 2020, breaking most dependent ports.

  Old tbb 2020 will be kept for a certain time to allow transition but will be
  removed in a near future as it CONFLICTS with devel/onetbb. New ports should
  now use devel/onetbb instead of devel/tbb.

  We tried to move a maximum number of dependent ports to devel/onetbb (or
  disable dependency when not possible), but some of them still remain stuck
  to devel/tbb. Remaining ones have not been identified as major dependencies
  themselves and will be fixed as soon as updates are available from upstream.

  PR:		252648, 252688 [3], 252683 [4], 252651 [5], 252690 [3], 252693 [3],
  	252695 [3], 252696 [3], 252786 [3], 252649, 252868 [6], 252870 [5],
  	252684 [7], 252785 [7]
  Approved by:	yuri [3], jwb [4], thierry [5], FreeBSD@Shaneware.biz [6],
  	maintainer timeout [7]

  [1] https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-threading-building-blocks-release-notes.html
  [2] https://software.intel.com/content/www/us/en/develop/articles/tbb-revamp.html

Changes:
  head/archivers/par2cmdline-tbb/Makefile
  head/biology/bowtie2/Makefile
  head/cad/opencascade/Makefile
  head/devel/Makefile
  head/devel/onetbb/
  head/devel/onetbb/Makefile
  head/devel/onetbb/distinfo
  head/devel/onetbb/files/
  head/devel/onetbb/files/onetbb.pc.in
  head/devel/onetbb/files/patch-src-tbbbind-CMakeLists.txt
  head/devel/onetbb/files/patch-test-common-memory_usage.h
  head/devel/onetbb/files/patch-test-tbbmalloc-test_malloc_compliance.cpp
  head/devel/onetbb/pkg-descr
  head/devel/onetbb/pkg-plist
  head/devel/tbb/Makefile
  head/devel/tbb/pkg-descr
  head/graphics/blender/Makefile
  head/graphics/blender/Makefile.options
  head/graphics/blender/files/patch-intern_cycles_device_device__cpu.cpp
  head/graphics/blender/files/patch-intern_cycles_util_util__task.cpp
  head/graphics/blender/files/patch-intern_cycles_util_util__task.h
  head/graphics/blender/files/patch-intern_cycles_util_util__tbb.h
  head/graphics/blender/files/patch-source_blender_blenlib_BLI__index__range.hh
  head/graphics/blender/files/patch-source_blender_blenlib_BLI__task.h
  head/graphics/blender/files/patch-source_blender_blenlib_intern_task__pool.cc
  head/graphics/embree/Makefile
  head/graphics/oidn/Makefile
  head/graphics/opencv/Makefile
  head/graphics/openimageio/Makefile
  head/math/dune-common/Makefile
  head/math/dune-geometry/Makefile
  head/math/dune-grid/Makefile
  head/math/dune-pdelab/Makefile
  head/math/dune-uggrid/Makefile
  head/math/openturns/Makefile
  head/math/saga/Makefile
  head/math/suitesparse/Makefile
  head/misc/ngraph/Makefile